tmpFileForExclude="/ram/tmp_exclude_"$$
    
RESOLV_CONF="/ram/resolv.conf"
NTPCONFDEF="/etc/ntp.conf.def"
NTPCONF="/ram/ntp.conf"
TZCONF="/ram/timezone"
LTCONF="/ram/localtime"

DEBUG_GLOBALS=""
if [ -f /ram/debug ]; then
    DEBUG="1" 
    DEBUG_GLOBALS="G" 
fi

exclude(){
    if [ ! -f $1 ]; then
	return;
    fi
    echo -n > $tmpFileForExclude
    awk '{ if( index($0,"#'"$2"'") == 0 ) { print $0; }}' $1 >> $tmpFileForExclude
    cat $tmpFileForExclude > $1
    rm -f $tmpFileForExclude
}

excludeRaw(){
    if [ ! -f $1 ] || [ -z $2 ]; then
	return;
    fi
    echo -n > $tmpFileForExclude
    awk '{ if( index($0,"'"$2"'") == 0 ) { print $0; }}' $1 >> $tmpFileForExclude
    cat $tmpFileForExclude > $1
    rm -f $tmpFileForExclude
}

log()
{
  if [ "$DEBUG" != "1" ] && [ -z "$DEBUG_GLOBALS" ]; then
    return
  fi

  if [ "$DEBUG" == "0" ]; then
    return
  fi

  if [ -z "$LOG_FILE" ]; then
    LOG_FILE="/var/logs/$(basename "$0").log"
  fi

  if [ -n "$DEBUG_GLOBALS" ]; then
    echo `date +%H:%M.%S`" [$DEBUG_GLOBALS][$(basename "$0")] "$1 >> $LOG_FILE
    else 
    echo `date +%H:%M.%S`" [$(basename "$0")] "$1 >> $LOG_FILE
  fi

}

get_nvram_env()
{
    tmpVal=`fw_printenv $1 2>/dev/null`
    FW_ENV_RESULT=${tmpVal#*=}
}

read_nvram_var()
{
    eval tmpVar=\$$1
    #echo "tmpVar="$tmpVar
    if [ "$tmpVar" != "" ]; then
	#echo "already set"
	return;
    fi
    get_nvram_env $1
    export $2="$FW_ENV_RESULT"
    #return "$FW_ENV_RESULT"
}

# appending config line to current NTP config. 
# create default config if file not found
append_ntp_config()
{
    if [ ! -f $NTPCONF ]; then
        cat $NTPCONFDEF > $NTPCONF
	read_nvram_var "ntpurl" "NTP_IP"
	if [ "$NTP_IP" != "" ]; then
	    echo "server $NTP_IP #manual" >> $NTPCONF
	fi
    fi

    echo $1 >> $NTPCONF
}

